Skip to content

Get Kline

Rate Limit: 10 req/sec/ip

Description

Interface is used to get future kline history.

HTTP Request

  • GET /api/v1/futures/market/kline

Request Parameters

ParameterTypeRequiredDescription
symbolstringtrueTrading pair, based on the symbolName, i.e. BTCUSDT
startTimeint64falseThe start time is to query the k-lines after this time,The millisecond format of the Unix timestamp, such as 1672410780000
endTimeint64falseThe end time is to query the k-lines before this time,The millisecond format of the Unix timestamp, such as 1672410780000
intervalstringtruekline interval such as 1m 5m 15m 30m 1h 2h 4h 6h 8h 12h 1d 3d 1w 1M
limitintfalseDefault: 100, maximum: 200
typestringfalseKline type, values: LAST_PRICE, MARK_PRICE; default: LAST_PRICE

Request Example

bash
curl -X 'GET'  --location 'https://fapi.bitunix.com/api/v1/futures/market/kline?symbol=BTCUSDT&startTime=1&endTime=10234&interval=15m'

Response Parameters

ParameterTypeDescription
openstringopen price
highstringhigh price
lowstringlow price
closestringclose price
quoteVolstringTrading amount (quote currency turnover) for the kline period
baseVolstringTrading volume (base coin) for the kline period

Response Example

json
{"code":0,"data":[{"open":"60000","high":"60001","close":"60000","low":"59989.2","time":111111,"quoteVol":"1","baseVol":"60000","type":"LAST_PRICE"}],"msg":"Success"}